﻿echo $("=================Installing TfPlugable=================")

$ScriptPath = Split-Path -parent $PSCommandPath
echo $("==Script Path: " + $ScriptPath)

$PackagePath = Split-Path -parent $ScriptPath
echo $("==Package Path: " + $PackagePath)

$InstallPath = (Join-Path ${env:ProgramFiles(x86)} "TfPlugable")
echo $("==Install Path: " + $InstallPath)

If (Test-Path $InstallPath)
{
    echo $("==Removing existing")
    # Remove all stock areas but leave custom ones
    echo $("====Purging Stock Areas")
    $PortalAreaPath = (Join-Path $InstallPath "\Portal\Areas\")
    If (Test-Path $PortalAreaPath) { Remove-Item (Join-Path $PortalAreaPath "\*") -recurse -include "*Configuration*" }
    Else { echo $("    Stock Areas do not exist") }
   
    # Remove all stock website bits'n'bobs
    echo $("====Purging Stock Portal")
    $PortalPath = (Join-Path $InstallPath "\Portal\")
    If (Test-Path $PortalPath) { Remove-Item (Join-Path $PortalPath "\*") -recurse -exclude "*Areas*" }
    Else { echo $("    Stock Portal does not exist") }

    # Remove all tools
    echo $("====Purging Stock Tools")
    $ToolsPath = (Join-Path $InstallPath "\Tools\")
    If (Test-Path $ToolsPath) { Remove-Item (Join-Path $ToolsPath "\*") -recurse }
    Else { echo $("    Stock Tools do not exist") }
}

# Copy over all new shit
echo $("==Installing new")
if (!(Test-Path -path $InstallPath)) {New-Item $InstallPath -Type Directory}
Copy-Item (Join-Path $PackagePath "\Content\*") $InstallPath -Force -Recurse

$ToolsPath = (Join-Path $InstallPath "\Tools")
echo $("==Tools Path: " + $ToolsPath)
If (Test-Path $ToolsPath)
{
    # Execute Configuration Utility
    echo $("==Configure")
    Set-Location $ToolsPath
    .\TfpConfig.exe
}

echo $("=================Installed TfPlugable=================")